Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 5586)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/inca.card	(revision 5586)
@@ -0,0 +1,79 @@
+#- $Id: inca.card 70 2007-06-21 14:20:42Z acosce $
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# Set LDMZ_10m_winds to choose if the simulation will use online 10m wind (=y) or offline (=n)
+LMDZ_10m_winds=n
+#choose threshold (10m winds)  parameter value
+wind_parameter=0.78
+#choose seasalt correctif
+seasalt_corr=1.06
+# heat fluxes computed with feedback corresponding to 0 --> no aerosol effects, 1--> aerosol effects selected by ok_ade, ok_aie
+feedb=0
+#coupled model with ORCH
+#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
+CoupOrchInca=n
+#active or not chemistry flux in output 
+calcul_flux=n
+#choose which type of aircraft you will use (0 - 1 - 2 - 3) (no aircraft / old inca aircraft / new subsonic inca aircraft / subsonic + hypersonic inca aircraft)
+flag_plane=0
+#choose which time interpolation you want to interpolate sflx file. ( 0 - 1) (no interpolation / point to point interpolation) 
+#be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
+emi_interp_time=1
+
+# Specify output frequency for output files 
+# File aerosols_from_inca will be systematically write in output with a monthly frequency - you cannot manage it from this card
+# for other files you can choose the frequency 1d (daily), 1mo (monthly), other (1ts, 5d, etc.) or NONE if to deactivate it
+# if you choose 1d the file will be store in CHM/Output/DA
+# if you choose 1mo the file will be store in CHM/Output/MO
+# if you choose another frequency, the file will be store in CHM/Output/DA by default
+
+output_frequency_ges=1d
+
+
+[InitialStateFiles]
+List= ()
+	
+
+[BoundaryFiles]
+List=(${R_IN}/CHM/IPCC_AR6/OXYDANTS/${RESOL_CHM}_yearly_interpolated/oxydants_${year}.nc,   oxydants.nc         ),\
+     (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/165_${year}${month}.nc      , u10xios.nc		),\
+     (/ccc/work/cont003/subipsl/subipsl/ECMWF320x160/AN${year}/166_${year}${month}.nc      , v10xios.nc		)
+
+
+ListNonDel= (${R_IN}/CHM/FILES_LONxLAT/landuse_lmdz_dyn.nc	            		,   landuse.nc		),\
+	    (${R_IN}/CHM/FILES_LONxLAT/npp_dyn.nc		            		,   npp.nc		),\
+	    (${R_IN}/CHM/INCA${RESOL_CHM}/dustincaEC.nc			    		,   dustEC.nc		),\
+	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat				,   phototable.dat	),\
+	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/ANT/sflx_lmdz_ANT_2000_dyn.nc	,   sflx_ANT_LR.nc 	),\
+	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/BBG/sflx_lmdz_BBG_2000_dyn.nc	,   sflx_BBG_LR.nc 	),\
+	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/sflx_lmdz_GHG_dyn.nc 		,   sflx_GHG_LR.nc     	),\
+	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/sflx_lmdz_NAT_dyn.nc 		,   sflx_NAT_LR.nc     	),\
+	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/sflx_lmdz_MISC_dyn.nc 		,   sflx_MISC_LR.nc    	),\
+	    (${R_IN}/CHM/INCA9695-L39/co2_carbonator.nc					,   .			)
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/inca.def					, .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml		, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_input_inca.xml	, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_oxydants_inca.xml	, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_winds_inca.xml	, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_start_GES_inca.xml, context_start_inca.xml	),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_co2_bis_inca.xml	, .				),\
+    	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_sflx_inca.xml	, .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml	, .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml	, file_def_inca_restart.xml 	),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_GES.xml	, file_def_inca.xml 	    	),\
+    	(${MODIPSL}/bin/inca_${OptMode}_GES.dat				, inca.dat			)
+
+[RestartFiles]
+# List restart that have to be saved/restored each loop (file out, saved, and in) :
+List= (chem_restart.nc, chem_restart.nc, chem_start.nc)
+ 
+[OutputText]
+List=(inca.out, inca.def,context_inca.xml,field_def_inca.xml,file_def_inca.xml, inca_IDxml.out)
+
+[OutputFiles]
+List=	(inca1d_ges.nc,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_ges.nc, NONE  ),\
+	(inca1mo_ges.nc,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_ges.nc, NONE  )
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/orchidee.card	(revision 5586)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/orchidee.card	(revision 5586)
@@ -0,0 +1,75 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# VEGET_UPDATE=0Y : default, do not update the vegetation and woodharvest file except if starting without restart file
+# VEGET_UPDATE=1Y : update the vegetation and woodharvest file 1st of January each year
+VEGET_UPDATE=0Y
+
+# Specify output level for output files
+# Only the files sechiba_history.nc, sechiba_out_2.nc and sechiba_history_4dim.nc can be set here.
+# output_level_filename=0     : lowest level writing only variables needed for the monitoring
+# output_level_filename=12    : highest level which will output all variables
+# output_level_filename=NONE  : deactivate the file
+output_level_sechiba_history = 11
+output_level_sechiba_out_2 = NONE
+output_level_sechiba_history_4dim = 11
+
+# Specify output frequency for each file [1y, 1mo, 1d, 10800s, 1ts]
+# Settings using WriteFrequency in config.card is not longer used
+output_freq_sechiba_history = 1mo
+output_freq_sechiba_out_2 = 10800s
+output_freq_sechiba_history_4dim = 1mo
+
+
+[InitialStateFiles]
+List=	(${R_IN}/SRF/SOIL/soils_param4.nc, soils_param.nc ), \
+	(${R_IN}/SRF/reftemp4.nc, reftemp.nc ), \
+        (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v3.nc, alb_bg.nc ), \
+        (${R_IN}/SRF/cartepente2d_15min4.nc, cartepente2d_15min.nc)
+
+[BoundaryFiles]
+List= ()
+ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v2/PFTmap_2000.nc, PFTmap.nc),\
+            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical4/woodharvest_2000.nc,          woodharvest.nc),\
+
+[SmoothFiles]
+List= ()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_routing_orchidee.xml, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
+
+[RestartFiles]
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
+
+[OutputText]
+List=   (out_orchidee*, orchidee.def, used_orchidee.def, iodef.xml, context_orchidee.xml, context_routing_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
+
+[OutputFiles]
+List=   (sechiba_history.nc,   ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
+        (sechiba_history_4dim.nc,${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
+        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE)
+
+[Post_1M_sechiba_history]
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, evap, fluxlat, fluxsens, netrad, qair, rain, runoff, snow, snownobio, snowf, frac_snow, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac, TWBR, riverflow, coastalflow, DelSoilMoist_daily, DelIntercept_daily, DelSWE_daily, delstock_routing_daily, snowmelt, LAImean, transpir, evapnu)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, ptn, nee)
+ChunckJob3D = NONE
+Seasonal = ON
+
+[Post_HF_sechiba_out_2]
+Patches = ()
+GatherWithInternal = (lon, lat, time_counter, Areas, Contfrac, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (mrsos, mrro)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (ptn)
+ChunckJob3D = 10Y
+Seasonal = OFF
+
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/stomate.card	(revision 5586)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/stomate.card	(revision 5586)
@@ -0,0 +1,59 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+# Specify output level for output files
+# Only the files stomate_history.nc and stomate_ipcc_history.nc can be set here.
+# output_level_filname=0     : lowest level writing only variables needed for the monitoring
+# output_level_filname=10    : highest level which will output all variables
+# output_level_filname=NONE  : deactivate the file
+output_level_stomate_history = 10
+output_level_stomate_ipcc_history = 1
+
+# Specify output frequency for each file [1y, 1mo, 1d]
+# Settings using WriteFrequency in config.card are not longer used
+output_freq_stomate_history = 1mo
+output_freq_stomate_ipcc_history = 1mo
+
+
+[InitialStateFiles]
+List=   ()
+
+[BoundaryFiles]
+List=   ()
+ListNonDel= ()
+
+[SmoothFiles]
+List=   ()
+
+[ParametersFiles]
+List=   ()
+
+[RestartFiles]
+List=   (stomate_rest_out.nc, stomate_rest.nc, stomate_rest_in.nc)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   (stomate_history.nc,      ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_history.nc,      Post_1M_stomate_history),    \
+        (stomate_ipcc_history.nc, ${R_OUT_SBG_O_M}/${PREFIX}_1M_stomate_ipcc_history.nc, Post_1M_stomate_ipcc_history)
+
+[Post_1M_stomate_history]
+Patches = ()
+GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (T2M_MONTH,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (LAI,VEGET_COV_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,CO2_FIRE,TOTAL_TURN,WOOD_HARVEST_PFT)
+ChunckJob3D = NONE
+Seasonal = ON
+
+[Post_1M_stomate_ipcc_history]
+Patches = ()
+GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
+TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep, fWoodharvest)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal = ON
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/xios.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/xios.card	(revision 5586)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/xios.card	(revision 5586)
@@ -0,0 +1,29 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List=	()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[SmoothFiles]
+List=	()
+
+[ParametersFiles]
+List=	()
+
+[RestartFiles]
+List=	(NONE)
+
+[OutputText]
+List=   (xios_client_*, xios_server_*, out_xios.x.err.*, out_xios.x.out.*)
+
+[OutputFiles]
+List=   ()
+
+
+
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/config.card
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/config.card	(revision 5586)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/config.card	(revision 5586)
@@ -0,0 +1,158 @@
+# $Id$
+#========================================================================
+#D-- Compatibility -
+[Compatibility]
+libIGCM=1.0
+
+#========================================================================
+#D-- UserChoices -
+[UserChoices]
+#============================
+JobName=GESdyn
+LongName=""
+TagName=ICOLMDZORINCA
+#D- Choice of experiment in EXPERIEMENTS directory
+ExpType=ICOLMDZORINCA/GES
+ExperimentName=GES
+SpaceName=TEST
+#============================
+#D-- leap, noleap, 360d
+CalendarType=noleap
+#D-- Begin and end of job 
+#D-- "YYYY-MM-DD"
+#D-- The year for this experiement has no significance as the SST/SIC are mean values over a whole period. 
+#D-- Change the DateEnd if you change CalendarType, set DateEnd=2000-12-31 for leap or noleap.
+DateBegin=2000-01-01
+DateEnd=2000-01-31
+#============================
+#D-- 1Y, 1M, 5D, 1D
+PeriodLength=1M
+#============================
+#-- Compression level for netcdf output files
+CompressionLevel=2
+#============================
+# Source following file with module settings
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+#============================
+# OptMode indicates the optimization mode choosen during compilation
+# This variable is used in the executable name
+OptMode=prod
+ResolAtm=144x142x79
+ConfChem=GES
+#========================================================================
+#D-- ListOfComponents -
+[ListOfComponents]
+#D- For each component, Name of component, Tag of component
+ICO= (dynamico, DYNAMICO)
+ATM= (lmdz, LMDZ)
+SRF= (orchidee, ORCHIDEE)
+SBG= (stomate, ORCHIDEE)
+IOS= (xios, XIOS)
+CHM= (inca, INCA) 
+
+#========================================================================
+#D-- Executable -
+[Executable]
+ICO= (icosa_lmdz_${OptMode}_${ConfChem}.exe, icosa_lmdz.exe, 95MPI)
+ATM= ("","")
+SRF= ("", "")
+SBG= ("", "")
+IOS= (xios_server_${OptMode}.exe, xios.x, 1MPI)
+CHM= ("", "")
+
+#========================================================================
+#D-- Restarts -
+[Restarts]
+#D- If you want a GENERAL RULE FOR RESTARTS, put this flag to 'y'
+OverRule=n
+#D- Last day of the experience used as restart
+RestartDate=
+#D- Define restart simulation name
+RestartJobName=
+#D- Path Server Group Login
+RestartPath=
+# Attention login depend de la machine
+
+
+#========================================================================
+#D-- NO Post -
+[Post]
+RebuildFrequency=NONE
+PackFrequency=NONE
+TimeSeriesFrequency=NONE
+SeasonalFrequency=NONE
+MetricsPCMDI=FALSE
+
+
+#========================================================================
+#D-- ICO -
+[ICO]
+# If config_Restarts_OverRule == 'n' all params are read
+Restart= n
+# Last day of the experience used as restart
+RestartDate=
+# Define restart simulation name
+RestartJobName=
+RestartPath=
+
+#========================================================================
+#D-- ATM -
+[ATM]
+# If config_Restarts_OverRule == 'n' all params are read
+Restart= n
+# Last day of the experience used as restart
+RestartDate=
+# Define restart simulation name
+RestartJobName=
+RestartPath=
+
+
+#========================================================================
+#D-- CHM -
+[CHM]
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart=n
+#D-- Last day of the experience used as restart
+RestartDate=2000-01-01
+#D-- Define restart simulation name
+RestartJobName=JobName
+RestartPath=${ARCHIVE}/IGCM_OUT/LMDZORINCA/NMHC_AER
+
+
+#========================================================================
+#D-- SRF -
+[SRF]
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2319-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM607-LR-pdCtrl-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
+
+#========================================================================
+#D-- SBG - STOMATE
+[SBG]
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2319-12-31
+#D- Define restart simulation name for this component
+RestartJobName=CM607-LR-pdCtrl-01
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/IPSLCM6/DEVT/pdControl
+
+#========================================================================
+#D-- IOS -
+[IOS]
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= n
+#-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=
+# Define restart simulation name for this component
+RestartJobName=
+RestartPath=
+# Old component name for restart (if empty, use new name)
+
+
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/dynamico.driver
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/dynamico.driver	(revision 5586)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/dynamico.driver	(revision 5586)
@@ -0,0 +1,145 @@
+#!/bin/ksh
+#-----------------------------------------------------------------
+function ICO_Initialize
+{
+    IGCM_debug_PushStack "ICO_Initialize"
+
+    ##- Horizontal resolution read from dynamic.card
+    if [ ! X${dynamico_UserChoices_RESOL_NBP} = X ] ; then
+	RESOL_NBP=${dynamico_UserChoices_RESOL_NBP}
+    else
+	# Exit
+	IGCM_debug_Exit "RESOL_NBP must be set in dynamico.card UserSection"
+    IGCM_debug_Verif_Exit
+    fi
+
+    ##- Horizontal resolution read from dynamico.card
+    if [ ! X${dynamico_UserChoices_RESOL_ATM_Z} = X ] ; then
+	RESOL_ATM_Z=${dynamico_UserChoices_RESOL_ATM_Z}
+    else
+        # RESOL_ATM_Z is not set in dynamico.card but this is needed
+	IGCM_debug_Exit "RESOL_ATM_Z must be set in dynamico.card UserSection"
+	IGCM_debug_Verif_Exit
+    fi
+
+    IGCM_debug_PopStack "ICO_Initialize"
+}
+
+#-----------------------------------------------------------------
+function ICO_Update
+{
+    IGCM_debug_PushStack "ICO_Update"
+
+    # Reset date from start.nc file on the first iteration in the simulation
+    if [ ${CumulPeriod} -eq 1 ] ; then
+	IGCM_comp_modifyDefFile blocker run_dynamico.def etat0_start_iteration_reset y
+    else
+	IGCM_comp_modifyDefFile blocker run_dynamico.def etat0_start_iteration_reset n
+    fi
+
+    # Set lenght for execution 
+    IGCM_comp_modifyDefFile blocker run_dynamico.def run_length $(( ${PeriodLengthInDays} * 86400 ))
+
+    # Change run_dynamico.def according to UserChoices options set in dynmaico.card
+    
+    # Set create_etat0_limit=y or n and 
+    if [ X${dynamico_UserChoices_create_etat0_limit} = Xy ] ; then 
+	# create_etat0_limit is set in dynamcio.card to y
+	# Activate create_etat0_limit=y in run_dynamico.def
+	IGCM_comp_modifyDefFile nonblocker run_dynamico.def create_etat0_limit y
+
+	# Use iflag_phys=101 or higher to activate aquaplanet mode
+	if [ X${dynamico_UserChoices_iflag_phys} = X ] || [ X${dynamico_UserChoices_iflag_phys} = X1 ]; then 
+            # iflag_phys is not set or iflag_phys=1 => run is not an aquaplanet
+	    IGCM_comp_modifyDefFile nonblocker run_dynamico.def etat0              database
+	    IGCM_comp_modifyDefFile nonblocker run_dynamico.def iflag_phys         1
+	else
+	    # This is an aquaplanet
+	    IGCM_comp_modifyDefFile nonblocker run_dynamico.def etat0              held_suarez
+	    IGCM_comp_modifyDefFile nonblocker run_dynamico.def iflag_phys         ${dynamico_UserChoices_iflag_phys}
+	fi
+
+	# Optimize the grid: set read_metric=n and optim_it=100000	
+	IGCM_comp_modifyDefFile nonblocker   run_dynamico.def   read_metric  n
+	IGCM_comp_modifyDefFile nonblocker   run_dynamico.def   optim_it     100000
+    else
+	# Deactivate create_etat0_limit to run a the GCM (aquaplanet or not)
+	IGCM_comp_modifyDefFile nonblocker run_dynamico.def create_etat0_limit   n
+	IGCM_comp_modifyDefFile nonblocker run_dynamico.def etat0                start_file
+
+	# Set iflag_phys even though it only will be read but not used for the case create_etat0_limit=n
+	if [ X${dynamico_UserChoices_iflag_phys} = X ] ||  [ X${dynamico_UserChoices_iflag_phys} = X1 ]; then 
+            # iflag_phys is not set or iflag_phys=1 => run is not an aquaplanet
+	    IGCM_comp_modifyDefFile nonblocker run_dynamico.def iflag_phys           1
+	else
+	    IGCM_comp_modifyDefFile nonblocker run_dynamico.def iflag_phys         ${dynamico_UserChoices_iflag_phys}
+	fi	
+
+	# Read grid from start.nc file: set read_metric=y and optim_it=0	
+	IGCM_comp_modifyDefFile nonblocker   run_dynamico.def   read_metric  y
+	IGCM_comp_modifyDefFile nonblocker   run_dynamico.def   optim_it     0
+    fi 
+
+
+    # Add include of context xml files for DYNAMICO in iodef.xml
+    # In iodef.xml add on the next line after "COMPONENT CONTEXT"
+    echo '<context id="icosagcm" src="./context_dynamico.xml"/>' >> add.tmp
+
+    # Add inclusion of file context_input_dynamico.xml if this file exists
+    if [ -f context_input_dynamico.xml ] ; then
+        echo '<context id="icosagcm_input" src="./context_input_dynamico.xml"/>' >> add.tmp
+    fi
+
+    # Include xml files for output configuration if running with workflow CMIP6
+    if [ X"$( echo ${config_UserChoices_ExpType} | grep CMIP6 )" != "X" ] ; then
+      if [ -f ping_dynamico.xml ] ; then
+        echo '<context id="icosagcm" src="./ping_dynamico.xml"/>' >> add.tmp
+        echo '<context id="icosagcm" src="./dr2xml_dynamico.xml"/>' >> add.tmp
+      fi
+    fi
+    cp iodef.xml iodef.xml.tmp
+    sed -e "/COMPONENT CONTEXT/r add.tmp" iodef.xml.tmp > iodef.xml
+    rm iodef.xml.tmp add.tmp
+
+    # Add a Long Name as global attribute in output files if LongName is set in config.card
+    if [ ! "X${config_UserChoices_LongName}" = "X" ] ; then
+      listfile=$(ls file_def*dynamico.xml)
+      echo "<variable id=\"LongName\" type=\"string\">${config_UserChoices_LongName}</variable>" > add.tmp
+      for file in ${listfile} ; do
+          cp ${file} ${file}.tmp
+          sed -e "/<file id/r add.tmp" \
+          ${file}.tmp > ${file}
+          rm ${file}.tmp 
+      done
+      rm add.tmp
+    fi
+
+    if [ X${config_ListOfComponents_CPL} = Xoasis ] ; then
+    echo "Coupling mode using oasis, set using_oasis=y in run_dynamico.def"
+    IGCM_comp_modifyDefFile nonblocker run_dynamico.def using_oasis y
+    else
+    echo "DYNAMICO is running in forced mode without ocean model, set using_oasis=y in run_dynamico.def"
+    IGCM_comp_modifyDefFile nonblocker run_dynamico.def using_oasis n
+    fi
+
+
+    # Compression level (if CompressionLevel is not empty)
+    if [ ! "X${config_UserChoices_CompressionLevel}" = "X" ] ; then
+	echo "NetCDF output files compression level is " ${config_UserChoices_CompressionLevel}
+	listfile=$(ls file_def*dynamico.xml)
+	for file in ${listfile} ; do
+            sed -i -e "s/\(compression_level=\"\)[^\"]*\(\"\)/\1${config_UserChoices_CompressionLevel}\2/" ${file}
+	done
+    fi
+
+    IGCM_debug_PopStack "ICO_Update"
+}
+
+#-----------------------------------
+function ICO_Finalize
+{
+    IGCM_debug_PushStack "ICO_Finalize"
+
+    IGCM_debug_PopStack "ICO_Finalize"
+}
+
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver	(revision 5585)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/inca.driver	(revision 5586)
@@ -419,13 +419,12 @@
     #  <context id="inca" src="./context_inca.xml"/>
     echo '<context id="inca" src="./context_inca.xml"/>' > add.tmp
-    echo '<context id="inca" src="./context_input_inca.xml"/>' >> add.tmp
-    echo '<context id="inca" src="./context_start_inca.xml"/>' >> add.tmp
-    echo '<context id="inca" src="./context_sflx_inca.xml"/>' >> add.tmp
-    echo '<context id="inca" src="./context_winds_inca.xml"/>' >> add.tmp
-    if [ X${CHEM} =  XGES ] ; then 
-	echo '<context id="inca" src="./context_co2_bis_inca.xml"/>' >> add.tmp
-    fi
-    echo '<context id="inca" src="./context_oxydants_inca.xml"/>' >> add.tmp
-
+    if [ -f context_input_inca.xml ] ; then
+        echo '<context id="inca" src="./context_input_inca.xml"/>' >> add.tmp
+  #      echo '<context id="inca" src="./context_start_inca.xml"/>' >> add.tmp
+        echo '<context id="inca" src="./context_sflx_inca.xml"/>' >> add.tmp
+        echo '<context id="inca" src="./context_co2_bis_inca.xml"/>' >> add.tmp
+        echo '<context id="inca" src="./context_winds_inca.xml"/>' >> add.tmp
+        echo '<context id="inca" src="./context_oxydants_inca.xml"/>' >> add.tmp
+    fi
     cp iodef.xml iodef.xml.tmp
     sed -e "/COMPONENT CONTEXT/r add.tmp" \
@@ -449,11 +448,17 @@
 
 
-    echo "retire UNLIMITED sur axe temps "
-    nccopy -u u10xios.nc tmp.nc
-    mv tmp.nc u10xios.nc
-    nccopy -u v10xios.nc tmp.nc
-    mv tmp.nc v10xios.nc
+
+#    if [ X${inca_UserChoices_LMDZ_10m_winds} = Xn ] ; then 
+	echo "retire UNLIMITED sur axe temps "
+	nccopy -u u10xios.nc tmp.nc
+	mv tmp.nc u10xios.nc
+	nccopy -u v10xios.nc tmp.nc
+	mv tmp.nc v10xios.nc
+#    fi
+
     nccopy -u oxydants.nc tmp.nc
     mv tmp.nc oxydants.nc
+
+
 
 
